org.apache.mina.example.echoserver.ssl

## Class SslSocketFactory

- java.lang.Object
- - javax.net.SocketFactory
  - - org.apache.mina.example.echoserver.ssl.SslSocketFactory

-     public class SslSocketFactory
      extends SocketFactory

  Simple Socket factory to create sockets with or without SSL enabled. If SSL enabled a "bougus" SSL Context is used (suitable for test purposes)
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SslSocketFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Socket` | `createSocket(InetAddress arg1, int arg2)`
    `Socket` | `createSocket(InetAddress arg1, int arg2, InetAddress arg3, int arg4)`
    `Socket` | `createSocket(String arg1, int arg2)`
    `Socket` | `createSocket(String arg1, int arg2, InetAddress arg3, int arg4)`
    `static SocketFactory` | `getSocketFactory()`
    `static boolean` | `isSslEnabled()`
    `static void` | `setSslEnabled(boolean newSslEnabled)`

    - ### Methods inherited from class javax.net.SocketFactory

      `createSocket, getDefault`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SslSocketFactory

          public SslSocketFactory()

  - ### Method Detail

    - #### createSocket

          public Socket createSocket(String arg1,
                            int arg2)
                              throws IOException,
                                     UnknownHostException

      Specified by:
        `createSocket` in class `SocketFactory`
      Throws:
        `IOException`
        `UnknownHostException`

    - #### createSocket

          public Socket createSocket(String arg1,
                            int arg2,
                            InetAddress arg3,
                            int arg4)
                              throws IOException,
                                     UnknownHostException

      Specified by:
        `createSocket` in class `SocketFactory`
      Throws:
        `IOException`
        `UnknownHostException`

    - #### createSocket

          public Socket createSocket(InetAddress arg1,
                            int arg2)
                              throws IOException

      Specified by:
        `createSocket` in class `SocketFactory`
      Throws:
        `IOException`

    - #### createSocket

          public Socket createSocket(InetAddress arg1,
                            int arg2,
                            InetAddress arg3,
                            int arg4)
                              throws IOException

      Specified by:
        `createSocket` in class `SocketFactory`
      Throws:
        `IOException`

    - #### getSocketFactory

          public static SocketFactory getSocketFactory()

    - #### isSslEnabled

          public static boolean isSslEnabled()

    - #### setSslEnabled

          public static void setSslEnabled(boolean newSslEnabled)

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.